package login

import (
	"net/http"
	"ddpf/response"
	"github.com/Tangmz/go-tool/log"
	"github.com/Tangmz/go-tool/util"
)

func Login(w http.ResponseWriter, r *http.Request) {
	var code int
	var err error
	var msg string
	var data util.Map
	defer func() {
		response.WriteResponse(w, code, msg, err, data)
	}()
	username := r.PostFormValue("username")
	password := r.PostFormValue("password")

	if len(username) < 1 || len(password) < 1 {
		err = util.Error("username/password contain a empty value")
		log.Error("Login receive invalid username/password ->(%v)", err)
		code = 1
		msg = "参数错误"
		return
	}

	// check user if exists

}